--[[ Get item info from the Mailbox ]]--

function Sanity:ScanMailbox()
	-- if true then return false end
	local inbox_items = GetInboxNumItems();
	if inbox_items > 50 then
		-- print("Error! Inbox item count = " .. inbox_items .. ", defaulting to 50.")
		inbox_items = 50
	end
	local mailLinks = {};
	for i = 1, inbox_items	do
		local name, itemTexture, count, quality, canUse = GetInboxItem(i);
		-- Try to guess the quality from the tooltip
		Sanity_ItemTooltip:SetInboxItem(i);
		local desc = Sanity:GetDescription(nil);
		local quality = 0;
		command = getglobal("Sanity_ItemTooltipTextLeft1");
		local color = command:GetTextColor();
		--spr(command:GetText() .. " is " .. r ..", "..g..", "..b..", "..a);
		
		local color = command:GetTextColor();
		if color < 0.1 then
			quality = 3;
		elseif color > 0.1 and color < 0.2 then
			quality = 2;
		elseif color > 0.63 and color < 0.64 then
			quality = 4;
		elseif color > 0.6 and color < 0.62 then
			quality = 0;
		else
			quality = 1;
		end

		if name ~= nil then
			tinsert(mailLinks, {
				["Name"] = name,
				["Quality"] = quality,
				["Count"] = count,
				["Texture"] = itemTexture,
				["Index"] = i,
				["Owner"] = UnitName("player"),
				["Bag"] = SanityItemCache.MAILBOX_BAG_ID,
				["Description"] = desc
				}
			);
		end
	end
	self.ItemCache.db.realm.chars[self.character].MailItems	 = mailLinks
end

function Sanity:GetDescription(link)
	if link ~= nil then
		Sanity_ItemTooltip:ClearLines();
		Sanity_ItemTooltip:SetHyperlink(link);
	end
	
	local itemDesc = "";
	local text_left = "";
	local text_right = "";
	for i=1,Sanity_ItemTooltip:NumLines() do
		command = getglobal("Sanity_ItemTooltipTextLeft" .. i);
		text_left = command:GetText();

		command = getglobal("Sanity_ItemTooltipTextRight" .. i);
		text_right = command:GetText();
		
		if (text_left and string.find(text_left, "\n")) then
			text_left = " ";
		end
		
		if (text_right and string.find(text_right, "\n")) then
			text_right = " ";
		end
		
		if (i == 1) then 
			itemDesc = text_left;
		else
			if (text_left) then 
				itemDesc = itemDesc.." <n> "..text_left;
			end
		end
		if (text_right) then
			itemDesc = itemDesc.." <t> "..text_right;
		end
	end
	return itemDesc;
end